Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network247.2.128.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
Network address
247.2.128.0
Broadcast address
247.2.191.255
First usable
247.2.128.1
Last usable
247.2.191.254
Usable hosts
16,382 (16,384 less the network and broadcast addresses)
Subnet mask
255.255.192.0
Wildcard mask
0.0.63.255 (Cisco ACLs, OSPF)
Prefix length
/18
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex F7028000 · Integer 4144136192 to 4144152575
Reverse DNS zones
128.2.247.in-addr.arpa
129.2.247.in-addr.arpa
130.2.247.in-addr.arpa
131.2.247.in-addr.arpa
132.2.247.in-addr.arpa
133.2.247.in-addr.arpa
134.2.247.in-addr.arpa
135.2.247.in-addr.arpa
136.2.247.in-addr.arpa
137.2.247.in-addr.arpa
138.2.247.in-addr.arpa
139.2.247.in-addr.arpa
140.2.247.in-addr.arpa
141.2.247.in-addr.arpa
142.2.247.in-addr.arpa
143.2.247.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11110111.00000010.10000000.00000000247.2.128.0
Subnet mask11111111.11111111.11000000.00000000255.255.192.0
Network11110111.00000010.10000000.00000000247.2.128.0
Broadcast11110111.00000010.10111111.11111111247.2.191.255
Split into smaller subnets/26

247.2.128.0/18 makes 256 subnets of /26.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1247.2.128.0/26247.2.128.1 to 247.2.128.62247.2.128.6362
2247.2.128.64/26247.2.128.65 to 247.2.128.126247.2.128.12762
3247.2.128.128/26247.2.128.129 to 247.2.128.190247.2.128.19162
4247.2.128.192/26247.2.128.193 to 247.2.128.254247.2.128.25562
5247.2.129.0/26247.2.129.1 to 247.2.129.62247.2.129.6362
6247.2.129.64/26247.2.129.65 to 247.2.129.126247.2.129.12762
7247.2.129.128/26247.2.129.129 to 247.2.129.190247.2.129.19162
8247.2.129.192/26247.2.129.193 to 247.2.129.254247.2.129.25562
9247.2.130.0/26247.2.130.1 to 247.2.130.62247.2.130.6362
10247.2.130.64/26247.2.130.65 to 247.2.130.126247.2.130.12762
11247.2.130.128/26247.2.130.129 to 247.2.130.190247.2.130.19162
12247.2.130.192/26247.2.130.193 to 247.2.130.254247.2.130.25562
13247.2.131.0/26247.2.131.1 to 247.2.131.62247.2.131.6362
14247.2.131.64/26247.2.131.65 to 247.2.131.126247.2.131.12762
15247.2.131.128/26247.2.131.129 to 247.2.131.190247.2.131.19162
16247.2.131.192/26247.2.131.193 to 247.2.131.254247.2.131.25562
17247.2.132.0/26247.2.132.1 to 247.2.132.62247.2.132.6362
18247.2.132.64/26247.2.132.65 to 247.2.132.126247.2.132.12762
19247.2.132.128/26247.2.132.129 to 247.2.132.190247.2.132.19162
20247.2.132.192/26247.2.132.193 to 247.2.132.254247.2.132.25562
21247.2.133.0/26247.2.133.1 to 247.2.133.62247.2.133.6362
22247.2.133.64/26247.2.133.65 to 247.2.133.126247.2.133.12762
23247.2.133.128/26247.2.133.129 to 247.2.133.190247.2.133.19162
24247.2.133.192/26247.2.133.193 to 247.2.133.254247.2.133.25562
25247.2.134.0/26247.2.134.1 to 247.2.134.62247.2.134.6362
26247.2.134.64/26247.2.134.65 to 247.2.134.126247.2.134.12762
27247.2.134.128/26247.2.134.129 to 247.2.134.190247.2.134.19162
28247.2.134.192/26247.2.134.193 to 247.2.134.254247.2.134.25562
29247.2.135.0/26247.2.135.1 to 247.2.135.62247.2.135.6362
30247.2.135.64/26247.2.135.65 to 247.2.135.126247.2.135.12762
31247.2.135.128/26247.2.135.129 to 247.2.135.190247.2.135.19162
32247.2.135.192/26247.2.135.193 to 247.2.135.254247.2.135.25562
33247.2.136.0/26247.2.136.1 to 247.2.136.62247.2.136.6362
34247.2.136.64/26247.2.136.65 to 247.2.136.126247.2.136.12762
35247.2.136.128/26247.2.136.129 to 247.2.136.190247.2.136.19162
36247.2.136.192/26247.2.136.193 to 247.2.136.254247.2.136.25562
37247.2.137.0/26247.2.137.1 to 247.2.137.62247.2.137.6362
38247.2.137.64/26247.2.137.65 to 247.2.137.126247.2.137.12762
39247.2.137.128/26247.2.137.129 to 247.2.137.190247.2.137.19162
40247.2.137.192/26247.2.137.193 to 247.2.137.254247.2.137.25562
41247.2.138.0/26247.2.138.1 to 247.2.138.62247.2.138.6362
42247.2.138.64/26247.2.138.65 to 247.2.138.126247.2.138.12762
43247.2.138.128/26247.2.138.129 to 247.2.138.190247.2.138.19162
44247.2.138.192/26247.2.138.193 to 247.2.138.254247.2.138.25562
45247.2.139.0/26247.2.139.1 to 247.2.139.62247.2.139.6362
46247.2.139.64/26247.2.139.65 to 247.2.139.126247.2.139.12762
47247.2.139.128/26247.2.139.129 to 247.2.139.190247.2.139.19162
48247.2.139.192/26247.2.139.193 to 247.2.139.254247.2.139.25562
49247.2.140.0/26247.2.140.1 to 247.2.140.62247.2.140.6362
50247.2.140.64/26247.2.140.65 to 247.2.140.126247.2.140.12762
51247.2.140.128/26247.2.140.129 to 247.2.140.190247.2.140.19162
52247.2.140.192/26247.2.140.193 to 247.2.140.254247.2.140.25562
53247.2.141.0/26247.2.141.1 to 247.2.141.62247.2.141.6362
54247.2.141.64/26247.2.141.65 to 247.2.141.126247.2.141.12762
55247.2.141.128/26247.2.141.129 to 247.2.141.190247.2.141.19162
56247.2.141.192/26247.2.141.193 to 247.2.141.254247.2.141.25562
57247.2.142.0/26247.2.142.1 to 247.2.142.62247.2.142.6362
58247.2.142.64/26247.2.142.65 to 247.2.142.126247.2.142.12762
59247.2.142.128/26247.2.142.129 to 247.2.142.190247.2.142.19162
60247.2.142.192/26247.2.142.193 to 247.2.142.254247.2.142.25562
61247.2.143.0/26247.2.143.1 to 247.2.143.62247.2.143.6362
62247.2.143.64/26247.2.143.65 to 247.2.143.126247.2.143.12762
63247.2.143.128/26247.2.143.129 to 247.2.143.190247.2.143.19162
64247.2.143.192/26247.2.143.193 to 247.2.143.254247.2.143.25562
65247.2.144.0/26247.2.144.1 to 247.2.144.62247.2.144.6362
66247.2.144.64/26247.2.144.65 to 247.2.144.126247.2.144.12762
67247.2.144.128/26247.2.144.129 to 247.2.144.190247.2.144.19162
68247.2.144.192/26247.2.144.193 to 247.2.144.254247.2.144.25562
69247.2.145.0/26247.2.145.1 to 247.2.145.62247.2.145.6362
70247.2.145.64/26247.2.145.65 to 247.2.145.126247.2.145.12762
71247.2.145.128/26247.2.145.129 to 247.2.145.190247.2.145.19162
72247.2.145.192/26247.2.145.193 to 247.2.145.254247.2.145.25562
73247.2.146.0/26247.2.146.1 to 247.2.146.62247.2.146.6362
74247.2.146.64/26247.2.146.65 to 247.2.146.126247.2.146.12762
75247.2.146.128/26247.2.146.129 to 247.2.146.190247.2.146.19162
76247.2.146.192/26247.2.146.193 to 247.2.146.254247.2.146.25562
77247.2.147.0/26247.2.147.1 to 247.2.147.62247.2.147.6362
78247.2.147.64/26247.2.147.65 to 247.2.147.126247.2.147.12762
79247.2.147.128/26247.2.147.129 to 247.2.147.190247.2.147.19162
80247.2.147.192/26247.2.147.193 to 247.2.147.254247.2.147.25562
81247.2.148.0/26247.2.148.1 to 247.2.148.62247.2.148.6362
82247.2.148.64/26247.2.148.65 to 247.2.148.126247.2.148.12762
83247.2.148.128/26247.2.148.129 to 247.2.148.190247.2.148.19162
84247.2.148.192/26247.2.148.193 to 247.2.148.254247.2.148.25562
85247.2.149.0/26247.2.149.1 to 247.2.149.62247.2.149.6362
86247.2.149.64/26247.2.149.65 to 247.2.149.126247.2.149.12762
87247.2.149.128/26247.2.149.129 to 247.2.149.190247.2.149.19162
88247.2.149.192/26247.2.149.193 to 247.2.149.254247.2.149.25562
89247.2.150.0/26247.2.150.1 to 247.2.150.62247.2.150.6362
90247.2.150.64/26247.2.150.65 to 247.2.150.126247.2.150.12762
91247.2.150.128/26247.2.150.129 to 247.2.150.190247.2.150.19162
92247.2.150.192/26247.2.150.193 to 247.2.150.254247.2.150.25562
93247.2.151.0/26247.2.151.1 to 247.2.151.62247.2.151.6362
94247.2.151.64/26247.2.151.65 to 247.2.151.126247.2.151.12762
95247.2.151.128/26247.2.151.129 to 247.2.151.190247.2.151.19162
96247.2.151.192/26247.2.151.193 to 247.2.151.254247.2.151.25562
97247.2.152.0/26247.2.152.1 to 247.2.152.62247.2.152.6362
98247.2.152.64/26247.2.152.65 to 247.2.152.126247.2.152.12762
99247.2.152.128/26247.2.152.129 to 247.2.152.190247.2.152.19162
100247.2.152.192/26247.2.152.193 to 247.2.152.254247.2.152.25562
101247.2.153.0/26247.2.153.1 to 247.2.153.62247.2.153.6362
102247.2.153.64/26247.2.153.65 to 247.2.153.126247.2.153.12762
103247.2.153.128/26247.2.153.129 to 247.2.153.190247.2.153.19162
104247.2.153.192/26247.2.153.193 to 247.2.153.254247.2.153.25562
105247.2.154.0/26247.2.154.1 to 247.2.154.62247.2.154.6362
106247.2.154.64/26247.2.154.65 to 247.2.154.126247.2.154.12762
107247.2.154.128/26247.2.154.129 to 247.2.154.190247.2.154.19162
108247.2.154.192/26247.2.154.193 to 247.2.154.254247.2.154.25562
109247.2.155.0/26247.2.155.1 to 247.2.155.62247.2.155.6362
110247.2.155.64/26247.2.155.65 to 247.2.155.126247.2.155.12762
111247.2.155.128/26247.2.155.129 to 247.2.155.190247.2.155.19162
112247.2.155.192/26247.2.155.193 to 247.2.155.254247.2.155.25562
113247.2.156.0/26247.2.156.1 to 247.2.156.62247.2.156.6362
114247.2.156.64/26247.2.156.65 to 247.2.156.126247.2.156.12762
115247.2.156.128/26247.2.156.129 to 247.2.156.190247.2.156.19162
116247.2.156.192/26247.2.156.193 to 247.2.156.254247.2.156.25562
117247.2.157.0/26247.2.157.1 to 247.2.157.62247.2.157.6362
118247.2.157.64/26247.2.157.65 to 247.2.157.126247.2.157.12762
119247.2.157.128/26247.2.157.129 to 247.2.157.190247.2.157.19162
120247.2.157.192/26247.2.157.193 to 247.2.157.254247.2.157.25562
121247.2.158.0/26247.2.158.1 to 247.2.158.62247.2.158.6362
122247.2.158.64/26247.2.158.65 to 247.2.158.126247.2.158.12762
123247.2.158.128/26247.2.158.129 to 247.2.158.190247.2.158.19162
124247.2.158.192/26247.2.158.193 to 247.2.158.254247.2.158.25562
125247.2.159.0/26247.2.159.1 to 247.2.159.62247.2.159.6362
126247.2.159.64/26247.2.159.65 to 247.2.159.126247.2.159.12762
127247.2.159.128/26247.2.159.129 to 247.2.159.190247.2.159.19162
128247.2.159.192/26247.2.159.193 to 247.2.159.254247.2.159.25562
129247.2.160.0/26247.2.160.1 to 247.2.160.62247.2.160.6362
130247.2.160.64/26247.2.160.65 to 247.2.160.126247.2.160.12762
131247.2.160.128/26247.2.160.129 to 247.2.160.190247.2.160.19162
132247.2.160.192/26247.2.160.193 to 247.2.160.254247.2.160.25562
133247.2.161.0/26247.2.161.1 to 247.2.161.62247.2.161.6362
134247.2.161.64/26247.2.161.65 to 247.2.161.126247.2.161.12762
135247.2.161.128/26247.2.161.129 to 247.2.161.190247.2.161.19162
136247.2.161.192/26247.2.161.193 to 247.2.161.254247.2.161.25562
137247.2.162.0/26247.2.162.1 to 247.2.162.62247.2.162.6362
138247.2.162.64/26247.2.162.65 to 247.2.162.126247.2.162.12762
139247.2.162.128/26247.2.162.129 to 247.2.162.190247.2.162.19162
140247.2.162.192/26247.2.162.193 to 247.2.162.254247.2.162.25562
141247.2.163.0/26247.2.163.1 to 247.2.163.62247.2.163.6362
142247.2.163.64/26247.2.163.65 to 247.2.163.126247.2.163.12762
143247.2.163.128/26247.2.163.129 to 247.2.163.190247.2.163.19162
144247.2.163.192/26247.2.163.193 to 247.2.163.254247.2.163.25562
145247.2.164.0/26247.2.164.1 to 247.2.164.62247.2.164.6362
146247.2.164.64/26247.2.164.65 to 247.2.164.126247.2.164.12762
147247.2.164.128/26247.2.164.129 to 247.2.164.190247.2.164.19162
148247.2.164.192/26247.2.164.193 to 247.2.164.254247.2.164.25562
149247.2.165.0/26247.2.165.1 to 247.2.165.62247.2.165.6362
150247.2.165.64/26247.2.165.65 to 247.2.165.126247.2.165.12762
151247.2.165.128/26247.2.165.129 to 247.2.165.190247.2.165.19162
152247.2.165.192/26247.2.165.193 to 247.2.165.254247.2.165.25562
153247.2.166.0/26247.2.166.1 to 247.2.166.62247.2.166.6362
154247.2.166.64/26247.2.166.65 to 247.2.166.126247.2.166.12762
155247.2.166.128/26247.2.166.129 to 247.2.166.190247.2.166.19162
156247.2.166.192/26247.2.166.193 to 247.2.166.254247.2.166.25562
157247.2.167.0/26247.2.167.1 to 247.2.167.62247.2.167.6362
158247.2.167.64/26247.2.167.65 to 247.2.167.126247.2.167.12762
159247.2.167.128/26247.2.167.129 to 247.2.167.190247.2.167.19162
160247.2.167.192/26247.2.167.193 to 247.2.167.254247.2.167.25562
161247.2.168.0/26247.2.168.1 to 247.2.168.62247.2.168.6362
162247.2.168.64/26247.2.168.65 to 247.2.168.126247.2.168.12762
163247.2.168.128/26247.2.168.129 to 247.2.168.190247.2.168.19162
164247.2.168.192/26247.2.168.193 to 247.2.168.254247.2.168.25562
165247.2.169.0/26247.2.169.1 to 247.2.169.62247.2.169.6362
166247.2.169.64/26247.2.169.65 to 247.2.169.126247.2.169.12762
167247.2.169.128/26247.2.169.129 to 247.2.169.190247.2.169.19162
168247.2.169.192/26247.2.169.193 to 247.2.169.254247.2.169.25562
169247.2.170.0/26247.2.170.1 to 247.2.170.62247.2.170.6362
170247.2.170.64/26247.2.170.65 to 247.2.170.126247.2.170.12762
171247.2.170.128/26247.2.170.129 to 247.2.170.190247.2.170.19162
172247.2.170.192/26247.2.170.193 to 247.2.170.254247.2.170.25562
173247.2.171.0/26247.2.171.1 to 247.2.171.62247.2.171.6362
174247.2.171.64/26247.2.171.65 to 247.2.171.126247.2.171.12762
175247.2.171.128/26247.2.171.129 to 247.2.171.190247.2.171.19162
176247.2.171.192/26247.2.171.193 to 247.2.171.254247.2.171.25562
177247.2.172.0/26247.2.172.1 to 247.2.172.62247.2.172.6362
178247.2.172.64/26247.2.172.65 to 247.2.172.126247.2.172.12762
179247.2.172.128/26247.2.172.129 to 247.2.172.190247.2.172.19162
180247.2.172.192/26247.2.172.193 to 247.2.172.254247.2.172.25562
181247.2.173.0/26247.2.173.1 to 247.2.173.62247.2.173.6362
182247.2.173.64/26247.2.173.65 to 247.2.173.126247.2.173.12762
183247.2.173.128/26247.2.173.129 to 247.2.173.190247.2.173.19162
184247.2.173.192/26247.2.173.193 to 247.2.173.254247.2.173.25562
185247.2.174.0/26247.2.174.1 to 247.2.174.62247.2.174.6362
186247.2.174.64/26247.2.174.65 to 247.2.174.126247.2.174.12762
187247.2.174.128/26247.2.174.129 to 247.2.174.190247.2.174.19162
188247.2.174.192/26247.2.174.193 to 247.2.174.254247.2.174.25562
189247.2.175.0/26247.2.175.1 to 247.2.175.62247.2.175.6362
190247.2.175.64/26247.2.175.65 to 247.2.175.126247.2.175.12762
191247.2.175.128/26247.2.175.129 to 247.2.175.190247.2.175.19162
192247.2.175.192/26247.2.175.193 to 247.2.175.254247.2.175.25562
193247.2.176.0/26247.2.176.1 to 247.2.176.62247.2.176.6362
194247.2.176.64/26247.2.176.65 to 247.2.176.126247.2.176.12762
195247.2.176.128/26247.2.176.129 to 247.2.176.190247.2.176.19162
196247.2.176.192/26247.2.176.193 to 247.2.176.254247.2.176.25562
197247.2.177.0/26247.2.177.1 to 247.2.177.62247.2.177.6362
198247.2.177.64/26247.2.177.65 to 247.2.177.126247.2.177.12762
199247.2.177.128/26247.2.177.129 to 247.2.177.190247.2.177.19162
200247.2.177.192/26247.2.177.193 to 247.2.177.254247.2.177.25562
201247.2.178.0/26247.2.178.1 to 247.2.178.62247.2.178.6362
202247.2.178.64/26247.2.178.65 to 247.2.178.126247.2.178.12762
203247.2.178.128/26247.2.178.129 to 247.2.178.190247.2.178.19162
204247.2.178.192/26247.2.178.193 to 247.2.178.254247.2.178.25562
205247.2.179.0/26247.2.179.1 to 247.2.179.62247.2.179.6362
206247.2.179.64/26247.2.179.65 to 247.2.179.126247.2.179.12762
207247.2.179.128/26247.2.179.129 to 247.2.179.190247.2.179.19162
208247.2.179.192/26247.2.179.193 to 247.2.179.254247.2.179.25562
209247.2.180.0/26247.2.180.1 to 247.2.180.62247.2.180.6362
210247.2.180.64/26247.2.180.65 to 247.2.180.126247.2.180.12762
211247.2.180.128/26247.2.180.129 to 247.2.180.190247.2.180.19162
212247.2.180.192/26247.2.180.193 to 247.2.180.254247.2.180.25562
213247.2.181.0/26247.2.181.1 to 247.2.181.62247.2.181.6362
214247.2.181.64/26247.2.181.65 to 247.2.181.126247.2.181.12762
215247.2.181.128/26247.2.181.129 to 247.2.181.190247.2.181.19162
216247.2.181.192/26247.2.181.193 to 247.2.181.254247.2.181.25562
217247.2.182.0/26247.2.182.1 to 247.2.182.62247.2.182.6362
218247.2.182.64/26247.2.182.65 to 247.2.182.126247.2.182.12762
219247.2.182.128/26247.2.182.129 to 247.2.182.190247.2.182.19162
220247.2.182.192/26247.2.182.193 to 247.2.182.254247.2.182.25562
221247.2.183.0/26247.2.183.1 to 247.2.183.62247.2.183.6362
222247.2.183.64/26247.2.183.65 to 247.2.183.126247.2.183.12762
223247.2.183.128/26247.2.183.129 to 247.2.183.190247.2.183.19162
224247.2.183.192/26247.2.183.193 to 247.2.183.254247.2.183.25562
225247.2.184.0/26247.2.184.1 to 247.2.184.62247.2.184.6362
226247.2.184.64/26247.2.184.65 to 247.2.184.126247.2.184.12762
227247.2.184.128/26247.2.184.129 to 247.2.184.190247.2.184.19162
228247.2.184.192/26247.2.184.193 to 247.2.184.254247.2.184.25562
229247.2.185.0/26247.2.185.1 to 247.2.185.62247.2.185.6362
230247.2.185.64/26247.2.185.65 to 247.2.185.126247.2.185.12762
231247.2.185.128/26247.2.185.129 to 247.2.185.190247.2.185.19162
232247.2.185.192/26247.2.185.193 to 247.2.185.254247.2.185.25562
233247.2.186.0/26247.2.186.1 to 247.2.186.62247.2.186.6362
234247.2.186.64/26247.2.186.65 to 247.2.186.126247.2.186.12762
235247.2.186.128/26247.2.186.129 to 247.2.186.190247.2.186.19162
236247.2.186.192/26247.2.186.193 to 247.2.186.254247.2.186.25562
237247.2.187.0/26247.2.187.1 to 247.2.187.62247.2.187.6362
238247.2.187.64/26247.2.187.65 to 247.2.187.126247.2.187.12762
239247.2.187.128/26247.2.187.129 to 247.2.187.190247.2.187.19162
240247.2.187.192/26247.2.187.193 to 247.2.187.254247.2.187.25562
241247.2.188.0/26247.2.188.1 to 247.2.188.62247.2.188.6362
242247.2.188.64/26247.2.188.65 to 247.2.188.126247.2.188.12762
243247.2.188.128/26247.2.188.129 to 247.2.188.190247.2.188.19162
244247.2.188.192/26247.2.188.193 to 247.2.188.254247.2.188.25562
245247.2.189.0/26247.2.189.1 to 247.2.189.62247.2.189.6362
246247.2.189.64/26247.2.189.65 to 247.2.189.126247.2.189.12762
247247.2.189.128/26247.2.189.129 to 247.2.189.190247.2.189.19162
248247.2.189.192/26247.2.189.193 to 247.2.189.254247.2.189.25562
249247.2.190.0/26247.2.190.1 to 247.2.190.62247.2.190.6362
250247.2.190.64/26247.2.190.65 to 247.2.190.126247.2.190.12762
251247.2.190.128/26247.2.190.129 to 247.2.190.190247.2.190.19162
252247.2.190.192/26247.2.190.193 to 247.2.190.254247.2.190.25562
253247.2.191.0/26247.2.191.1 to 247.2.191.62247.2.191.6362
254247.2.191.64/26247.2.191.65 to 247.2.191.126247.2.191.12762
255247.2.191.128/26247.2.191.129 to 247.2.191.190247.2.191.19162
256247.2.191.192/26247.2.191.193 to 247.2.191.254247.2.191.25562

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses